import PropTypes from 'prop-types';
import { useExperimentCore as useExperimentCoreFromPackage } from '@s-ui/abtesting-hooks';
import AbTestToggle from '@s-ui/abtesting-toggle';
import ExperimentProviderOnly from '../experiment-provider-only';
import experimentPropsMapper from './experiment-props-mapper';
import { jsx as _jsx } from "react/jsx-runtime";
function ExperimentProviderAndCore(props) {
  var deps = props.deps,
    children = props.children;
  var useExperimentCore = deps && deps.useExperimentCore || useExperimentCoreFromPackage;
  var experimentParams = experimentPropsMapper(props);
  var _useExperimentCore = useExperimentCore(experimentParams),
    experimentDataFromCore = _useExperimentCore.experimentData;
  return /*#__PURE__*/_jsx(ExperimentProviderOnly, {
    experimentData: experimentDataFromCore,
    children: /*#__PURE__*/_jsx(AbTestToggle, {
      variation: experimentDataFromCore.variationId,
      children: children
    })
  });
}
export default ExperimentProviderAndCore;